Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511686 - [abrt] kf5-kinit: sigsegv_handler(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: sigsegv_handler(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:66e623a1a94a72d1a0928d13719...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 20:59 UTC by Joe B
Modified: 2018-01-16 20:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:43 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: cgroup (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: core_backtrace (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: dso_list (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: environ (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: exploitable (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: limits (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: maps (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: mountinfo (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: namespaces (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: open_fds (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: proc_pid_status (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details
File: var_log_messages (deleted)
2017-11-09 20:59 UTC, Joe B
no flags Details

Description Joe B 2017-11-09 20:59:04 UTC
Version-Release number of selected component:
kf5-kinit-5.38.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] https local:/run/user/1000/klauncherTJ1971.1.slave-socket local:/run/user/1000/kioclientT25118.2.slave-socket'
crash_function: sigsegv_handler
executable:     /usr/bin/kdeinit5
global_pid:     25121
kernel:         4.13.10-100.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #9 sigsegv_handler at /usr/src/debug/kio-5.38.0/src/core/slavebase.cpp:765
 #11 std::__atomic_base<int>::load at /usr/include/c++/6.3.1/bits/atomic_base.h:396
 #12 QAtomicOps<int>::load<int> at ../../src/corelib/arch/qatomic_cxx11.h:227
 #13 QBasicAtomicInteger<int>::load at ../../src/corelib/thread/qbasicatomic.h:99
 #14 QFreeList<void, QtTimerIdFreeListConstants>::next at ../../src/corelib/tools/qfreelist_p.h:239
 #15 QAbstractEventDispatcherPrivate::allocateTimerId at kernel/qabstracteventdispatcher.cpp:93
 #16 QAbstractEventDispatcher::registerTimer at kernel/qabstracteventdispatcher.cpp:258
 #17 QObject::startTimer at kernel/qobject.cpp:1646
 #18 QTimer::start at kernel/qtimer.cpp:210
 #19 QNetworkConfigurationManagerPrivate::startPolling at bearer/qnetworkconfigmanager_p.cpp:477

Potential duplicate: bug 1435451

Comment 1 Joe B 2017-11-09 20:59:09 UTC
Created attachment 1350112 [details]
File: backtrace

Comment 2 Joe B 2017-11-09 20:59:10 UTC
Created attachment 1350113 [details]
File: cgroup

Comment 3 Joe B 2017-11-09 20:59:11 UTC
Created attachment 1350114 [details]
File: core_backtrace

Comment 4 Joe B 2017-11-09 20:59:12 UTC
Created attachment 1350115 [details]
File: dso_list

Comment 5 Joe B 2017-11-09 20:59:13 UTC
Created attachment 1350116 [details]
File: environ

Comment 6 Joe B 2017-11-09 20:59:14 UTC
Created attachment 1350117 [details]
File: exploitable

Comment 7 Joe B 2017-11-09 20:59:14 UTC
Created attachment 1350118 [details]
File: limits

Comment 8 Joe B 2017-11-09 20:59:15 UTC
Created attachment 1350119 [details]
File: maps

Comment 9 Joe B 2017-11-09 20:59:16 UTC
Created attachment 1350120 [details]
File: mountinfo

Comment 10 Joe B 2017-11-09 20:59:16 UTC
Created attachment 1350121 [details]
File: namespaces

Comment 11 Joe B 2017-11-09 20:59:17 UTC
Created attachment 1350122 [details]
File: open_fds

Comment 12 Joe B 2017-11-09 20:59:18 UTC
Created attachment 1350123 [details]
File: proc_pid_status

Comment 13 Joe B 2017-11-09 20:59:19 UTC
Created attachment 1350124 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:53:07 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:04:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 koraq 2018-01-16 20:33:37 UTC
Similar problem has been detected:

I

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] https local:/run/user/1000/klauncherTJ1482.1.slave-socket local:/run/user/1000/kioclientM21130.3.slave-socket'
crash_function: sigsegv_handler
executable:     /usr/bin/kdeinit5
global_pid:     21137
kernel:         4.13.16-100.fc25.x86_64
package:        kf5-kinit-5.38.0-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.